RNifti Fast R and C++ Access to NIfTI Images

Classes | Public Attributes | List of all members
RNifti::rgba32_t Struct Reference

Simple RGB(A) type encapsulating an 8-bit colour value with optional opacity, which can also be set or retrieved as a single 32-bit integer. More...

`#include <NiftiImage.h>`

## Classes
union | ValueType

## Public Attributes
ValueType | value

## Detailed Description

Simple RGB(A) type encapsulating an 8-bit colour value with optional opacity, which can also be set or retrieved as a single 32-bit integer.

The default value is equivalent to zero, a fully transparent black.

Author
  Jon Clayden (code@.nosp@m.clay.nosp@m.den.o.nosp@m.rg)

The documentation for this struct was generated from the following file:

- inst/include/RNifti/NiftiImage.h